%global momorel 1
%global artsver 1.5.6
%global artsrel 2m
%global qtver 3.3.7
%global kdever 3.5.6
%global kdelibsrel 6m
%global kdeutilsrel 2m
%global qtdir %{_libdir}/qt3
%global kdedir /usr
%global enable_gcc_check_and_hidden_visibility 0

Summary: A Fun Billiards Simulator Game
Name: kbilliards
Version: 0.8.7b
Release: %{momorel}m%{?dist}
License: GPL
URL: http://www.kde-apps.org/content/show.php?content=17723
Group: Amusements/Games
Source0: %{name}-%{version}.tar.bz2
Source1: admin.tar.bz2
Patch0: %{name}-%{version}-desktop.patch
# patches from Fedora
Patch10: sqrtl.patch
Patch11: %{name}-%{version}-compiler_warnings.patch
Patch12: %{name}-destdir.patch
BuildRoot: %{_tmppath}/%{name}-%{version}-root
Requires: kdelibs >= %{kdever}-%{kdelibsrel}
BuildPreReq: qt-devel >= %{qtver}
BuildPreReq: arts-devel >= %{artsver}-%{artsrel}
BuildPreReq: kdelibs-devel >= %{kdever}-%{kdelibsrel}
BuildPreReq: gettext
BuildPreReq: autoconf, automake, libtool
BuildPreReq: desktop-file-utils

%description
A billiards simulator game designed for KDE.

%prep
%setup -q

# build fix
rm -rf admin
tar xf %{SOURCE1}

%patch0 -p1 -b .desktop~

# Fedora patches
%patch10 -p0 -b .sqrtl
%patch11 -p0 -b .warn
%patch12 -p1 -b .destdir

# for Patch12
make -f admin/Makefile.common cvs

%build
export QTDIR=%{qtdir} KDEDIR=%{kdedir} QTLIB=%{qtdir}/lib

CFLAGS="%{optflags}" \
CXXFLAGS="%{optflags}" \
./configure \
	--prefix=%{_prefix} \
	--libdir=%{_libdir} \
	--with-qt-libraries=%{qtdir}/lib \
	--enable-new-ldflags \
%if %{enable_gcc_check_and_hidden_visibility}
	--enable-gcc-hidden-visibility \
%endif
	--disable-debug \
	--disable-warnings \
	--disable-rpath

make %{?_smp_mflags}

%install
[ "%{buildroot}" != "/" ] && rm -rf %{buildroot}
make install DESTDIR=%{buildroot}

# GNOME desktop beautification (requires "Icon=name.png" fix in setup section)
mkdir -p %{buildroot}%{_datadir}/pixmaps
ln -s ../icons/hicolor/48x48/apps/kbilliards.png %{buildroot}%{_datadir}/pixmaps/kbilliards.png

# install desktop file
desktop-file-install --vendor= --delete-original \
  --dir %{buildroot}%{_datadir}/applications/kde \
  --add-category ArcadeGame \
  --add-category Game \
  --add-category KDE \
  --add-category Qt \
  %{buildroot}%{_datadir}/applnk/Games/kbilliards.desktop

%clean
[ "%{buildroot}" != "/" ] && rm -rf %{buildroot}

%files
%defattr(-, root, root)
%doc AUTHORS COPYING ChangeLog README TODO
%{_bindir}/kbilliards
%{_datadir}/applications/kde/kbilliards.desktop
%{_datadir}/apps/kbilliards
%{_datadir}/doc/HTML/en/kbilliards
%{_datadir}/icons/*/*/*/kbilliards.png
%{_datadir}/icons/*/*/*/kbilliards.svgz
%{_datadir}/locale/*/LC_MESSAGES/kbilliards.mo
%{_datadir}/pixmaps/kbilliards.png

%changelog
* Mon Mar 19 2007 Ichiro Nakai <ichiro@n.email.ne.jp>
- (0.8.7b-1m)
- initial package for Momonga Linux
- 3 patches are imported from Fedora
